跳至内容
ShopentlyLearn

读取数字库存设置

修改前读取设置和数量。响应不包含兑换码或文件内容。

GET/api/v1/inventory/products/{product_id}/digital-pool

cURL 请求

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request GET \
  --url https://shop.onshopently.com/api/v1/inventory/products/example/digital-pool \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN'

响应

{
  "data": {
    "configured": true,
    "counts": {
      "available": 1,
      "held": 0,
      "issued": 1,
      "planned": 0,
      "retired": 0,
      "staged": 0
    },
    "email_mode": "order_link",
    "enabled": true,
    "order_version": 2,
    "product_id": "example",
    "retention_days": null,
    "version": 1
  },
  "meta": {
    "request_id": "example-request"
  }
}

所需权限

身份验证
访问令牌
最低套餐
STANDARD
密钥权限
查看资源池中的代码和文件inventory.digital_unit:read